OF: server_command_list
SF: command.c
HC: prototypes for the server command handlers
CC: array of server commands
AT: server_command
IN: server user_list
SN: list of server commands
---
N: chs
P: AFS_READ | AFS_WRITE
D: change the current audio file selector
U: chs [new_selector]
H: Shutdown the current selector and activate new_selector. If no
H: argument was given, print the name of the current selector.
---
N: ff
P: VSS_READ | VSS_WRITE
D: jump amount of time forwards or backwards in current audio file
U: ff n[-]
H: Set the 'R' (reposition request) bit of the vss status flags
H: and enqueue a request to jump n seconds forwards or backwards
H: in the current audio file.
H:
H: EXAMPLE
H:
H:	ff 30-
H:
H: jumps 30 seconds backwards.
---
N: help
P: 0
D: print help text
U: help [command]
H: Without any arguments, help prints a list of availible commands. When
H: issued with a command name as first argument, print out a description
H: for that command.
---
N: hup
P: VSS_WRITE
D: force reload of config file, log file and user list
U: hup
H: Reread the config file and the user list file, close and reopen the log
H: file, and tell all children to do the same.
---
N: jmp
P: VSS_READ | VSS_WRITE
D: jump to given position in current audio file
U: jmp [n]
H: Set the 'R' (reposition request) bit of the vss status flags
H: and enqueue a request to jump to n% of the current audio file,
H: where 0 <= n <= 100.
---
N: next
P: VSS_READ | VSS_WRITE
D: skip rest of current audio file
U: next
H: Set the 'N' (next audio file) bit of the vss status flags. When
H: playing, change audio file immediately. Equivalent to stop
H: if paused, NOP if stopped.
---
N: nomore
P: VSS_READ | VSS_WRITE
D: stop playing after current audio file
U: nomore
H: Set the 'O' (no more) bit of the vss status flags. This instructs
H: para_server to clear the 'P' (playing) bit as soon as it encounters
H: the 'N' (next audio file) bit being set.
H: Use this command instead of stop if you don't like
H: sudden endings.
---
N: pause
P: VSS_READ | VSS_WRITE
D: pause current audio file
U: pause
H: Clear the 'P' (playing) bit of the vss status flags.
---
N: play
P: VSS_READ | VSS_WRITE
D: start playing or resume playing when paused
U: play
H: Set the 'P' (playing) bit of the vss status flags. This
H: results in starting/continuing to stream.
---
N: sb
P: VSS_READ
D: print status bar for current audio file
U: sb [n]
H: Without any arguments, sb continuously prints a status bar of the
H: form
H:
H:	12:34 [56:12] (56%) filename
H:
H: indicating playing time, remaining time, percentage and the name of
H: the file being streamed. Use the optional number n to let stat exit
H: after having displayed the status bar n times.
---
N: sc
P: VSS_READ
D: print name of audio file whenever it changes
U: sc [n]
H: sc prints exactly one line (the filename of the audio file
H: being played) whenever the audio file changes. Stops after
H: n iterations, or never if n is not specified.
---
N: sender
P: VSS_READ | VSS_WRITE
D: control paraslash internal senders
U: sender [s cmd [arguments]]
H: send command cmd to sender s. cmd may be one of the following:
H: help, on, off, add, delete, allow, or deny. Note that not all senders
H: support each command. Try e.g. 'para_client sender http help' for
H: more information about the http sender. If no argument is given,
H: print out a list of all senders that are compiled in.
---
N: si
P: 0
D: print server info
U: si
H: Print server uptime and other information.
---
N: stat
P: VSS_READ
D: print status info for current audio file
U: stat [n]
H: Without any arguments, stat continuously prints status messages
H: about the audio file being streamed. Use the optional number n
H: to let stat exit after having displayed status n times.
---
N: stop
P: VSS_READ | VSS_WRITE
D: stop playing
U: stop
H: Clear the 'P' (play) bit and set the 'N' bit of the vss status
H: flags.
---
N: term
P: VSS_READ | VSS_WRITE
D: terminate para_server
U: term
H: Shuts down the server. Instead of this command, you can also send
H: SIGINT or SIGTERM. It should never be necessary to send SIGKILL.
---
N: version
P: 0
D: print server's version
U: version
H: Show version and other info
