/*
 * Copyright (C) 2005-2007 Andre Noll <maan@systemlinux.org>
 *
 *     This program is free software; you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation; either version 2 of the License, or
 *     (at your option) any later version.
 *
 *     This program is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with this program; if not, write to the Free Software
 *     Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111, USA.
 */

/** \file vss.h exported functions from vss.c (para_server) */
void vss_init(void);
void vss_send_chunk(void);
struct timeval *vss_preselect(void);
const char *audio_format_name(int);
unsigned int vss_playing(void);
unsigned int vss_next(void);
unsigned int vss_repos(void);
unsigned int vss_paused(void);
char *vss_get_header(int *header_len);
struct timeval *vss_chunk_time(void);
int guess_audio_format(const char *name);
const char *supported_audio_formats(void);

/** stop playing after current audio file */
#define VSS_NOMORE 1
/** skip remaining part of current audio file */
#define VSS_NEXT 2
/** a reposition request was sent by a client */
#define VSS_REPOS 4
/** currently playing */
#define VSS_PLAYING 8
/** a client requested to change the audio file selector */
#define VSS_CHANGE 16
